program array_declare

  implicit none
  !integer, parameter :: num=10     ! good
  integer :: num=10               ! bad
  integer :: i
  real, dimension(num) :: rh
  
  do i = 1,num
    rh(i) = i*10.
  enddo
  write(*,*) rh

end program array_declare
